Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.principal
Interface WLSPrincipal

All Known Implementing Classes:
  WLSAbstractPrincipal

public interface WLSPrincipal
extends java.security.Principal, java.io.Serializable

The `WLSPrincipal` interface is a convenience interface that defines a principal whose name field will be signed by the PrincipalValidatorImpl class. To use this class, you should make the `PrincipalValidatorImpl` class the runtime class for your Principal Validation provider, or extend that class and make the extended class your Principal Validation provider. Then implement the required methods.

Note: Use of this class is not required by WebLogic Server. It is simply a convenience interface.

Author:
  Copyright (c) 2003 by BEA. All Rights Reserved.
See Also:
  `weblogic.security.provider.WLSAbstractPrincipal`

Method Summary
`byte[]` | `getSalt()` Gets the principal's salt.
`byte[]` | `getSignature()` Gets the derived principal's trust signature.
`byte[]` | `getSignedData()` Gets the derived principal's signing data, which is used to generate the trust signature.
`void` | `setSignature(byte[] signature)` Sets the derived principal's trust signature.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getSignature

    public byte[] getSignature()

  Gets the derived principal's trust signature.

  Returns:
    the derived principal's trust signature, represented as an array of bytes.

  See Also:
    `setSignature(byte[])`

### setSignature

    public void setSignature(byte[] signature)

  Sets the derived principal's trust signature.

  Parameters:
    `signature` - the derived principal's trust signsture, represented as an array of bytes.

  See Also:
    `getSignature()`

### getSignedData

    public byte[] getSignedData()

  Gets the derived principal's signing data, which is used to generate the trust signature.

  Returns:
    the derived principal's signing data, represented as a sequence of bytes in the platform's default charset.

### getSalt

    public byte[] getSalt()

  Gets the principal's salt.

  Returns:
    the principal's salt, represented as an array of bytes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference